import { EditorState } from 'draft-js';

var modifyBlockByKey = function modifyBlockByKey(editorState, blockKey, blockData) {
  var content = editorState.getCurrentContent();
  var blockMap = content.getBlockMap().map(function (b) {
    return b.key === blockKey ? b.merge(blockData) : b;
  });
  var newContent = content.merge({
    blockMap: blockMap
  });
  return EditorState.push(editorState, newContent, 'split-block' // TODO: will this do ?
  );
};

export default modifyBlockByKey;